/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.ars.ars.
 * 
 * de.bsvrz.ars.ars is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package de.bsvrz.ars.ars.persistence;

/**
 * Exception fuer Fehler in der Persistenz.
 *
 * @author beck et al. projects GmbH
 * @author Thomas Schaefer
 * @version $Revision: 6419 $ / $Date: 2009-03-10 23:15:57 +0100 (Tue, 10 Mar 2009) $ / ($Author: rs $)
 */
public class PersistenceException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Erzeugt eine neue PersistenceException.
	 *
	 * @param msg Fehlermeldung
	 */
	public PersistenceException(String msg) {
		super(msg);
	}

	/**
	 * Erzeugt eine neue PersistenceException.
	 *
	 * @param msg   Fehlermeldung
	 * @param cause Ursache, <code>null</code> ist erlaubt bei unbekannter Ursache
	 */
	public PersistenceException(String msg, Throwable cause) {
		super(msg, cause);
	}

	/**
	 * Erzeugt eine neue PersistenceException.
	 *
	 * @param cause Ursache, <code>null</code> ist erlaubt bei unbekannter Ursache
	 */
	public PersistenceException(Throwable cause) {
		super(cause);
	}
}
